import { AfterViewInit, OnInit, QueryList } from '@angular/core';
import { TabDirective } from './tab.directive';
export declare class TabsComponent implements OnInit, AfterViewInit {
    tabs: QueryList<TabDirective>;
    constructor();
    get activeTab(): TabDirective;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    select(tab: TabDirective): void;
}
